There are different languages. They have different structure and rules. 
But there is a possibility to create and use (on the one of the existing 
vastly used and well spreaded languages basis, in this work, the 
Ukrainian one) the "phonetical" language more suitable for poetry and 
music. Even there can be different variants of the 
phonetical language. This work proposes to create at least two new 
"phonetical" languages on the Ukrainian basis. 

Imagine, you can understand the information in the text no matter of 
the words order and only with the most needed grammar preserved (for 
example, the rule not to separate the preposition and the next word 
is preserved). Understand just like you can read the text (after 
some instruction and training might be) the text with the words where 
only the first and the last letters are preserved on their places and 
the rest are interchangeably mixed. So imagine, you can understand (and 
express your thoughts, feeling, motives and so on) the message of the 
text with no strict word order preserved. 

In such a case, you can rearrange words (preserving the most important 
rules in this case to reduce or even completely eliminate ambiguity) so 
that they can obtain more interesting phonetical sounding. You can try 
to create poetic (at least somewhat rhythmic and expressive) text or 
music. This can be an inspiring and developing exercise itself. But 
how can you quickly find out which combinations are more or less suitable? 
Besides, can the complexity of the algorithms be reduced? 

These are some of the interesting questions. The work does not at the 
moment answers them, but is experimental, still may be valueable. 

Ukrainian is the language with no strict words order needed (though there 
do exist some preferences in it) and have rather pleasant sounding. So it 
can be a good example and instance. Besides for the author it is a native 
language.

Even if you would not like to create and use "phonetical" languages where 
phonetics is of more importance than the grammar, then you can evaluate the 
phonetical potential of the words used in the text in producing specially 
sounding texts. This can also be helpful in poetry writing and other 
probably related fields.
